c  rk4_pr.f
c  Integrator vyuzivajici metodu rk4, zahrnujici Poyntinguv-Robertsonuv jev.
c  Miroslav Broz (miroslav.broz@email.cz), Oct 1st 2008

      program rk4_pr

      implicit none
      include "common.inc"
      integer n
      double precision tstart, tstop, h, dtdump, t, tdump
      double precision r(3*nmax), v(3*nmax)
      character*80 outfile
      external accel

      call read_param(tstart, tstop, h, dtdump, outfile)
      call read_pl(n, Gm, r, v)
      npl = n
      call read_tp(n, Gm, r, v)
      call read_pr(npl)

      t = tstart
      tdump = t + dtdump
      call write_out(n, t, Gm, r, v, outfile)

      do while (t.lt.tstop)

        call rk4_step(n, t, r, v, h, accel)

        if (t.ge.tdump) then
          call write_out(n, t, Gm, r, v, outfile)
c          call write_energy(n, t, Gm, r, v, "energy.out")
          tdump = tdump + dtdump
        endif

        t = t + h
      enddo

      stop
      end


