c  write_out.f
c  Write text output file with positions and velocities.
c  Miroslav Broz (miroslav.broz@email.cz), Oct 1st 2008

      subroutine write_out(n, t, Gm, r, v, outfile)

      implicit none
      integer n, i, ierr
      double precision t, Gm(n), r(n), v(n)
      character*80 outfile

      open(unit=10, file=outfile, form="formatted", access="append",
     :  iostat=ierr)
      if (ierr.ne.0) then
        write(*,*) "Error opening output file ", outfile
        stop
      endif

      do i = 0, n-1
        write(10,10,err=990) t/365.25d6, i+1,
     :    r(3*i+1), r(3*i+2), r(3*i+3),
     :    v(3*i+1), v(3*i+2), v(3*i+3)
10      format(e22.16, i5, 6(1x,e22.16))
      enddo
      close(10)
      write(*,*) "t = ", t/365.25d6, " Myr"

      return
990   write(*,*) "Error writing output to ", outfile
      stop
      end


